Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen.pattern
Class PatternParser

    java.lang.Object
      org.jaxen.pattern.PatternParser

public class PatternParser
extends Object

`PatternParser` is a helper class for parsing XSLT patterns

Author:
  James Strachan

Constructor Summary
`PatternParser()`

Method Summary
`protected static LocationPathPattern` | `convertDefaultStep(LocationPathPattern path, DefaultStep step)`
`protected static Pattern` | `convertExpr(Expr expr)`
`protected static LocationPathPattern` | `convertExpr(LocationPath locationPath)`
`protected static LocationPathPattern` | `convertStep(LocationPathPattern path, Step step)`
`protected static boolean` | `navigationStep(Step step)`
`static Pattern` | `parse(String text)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PatternParser

    public PatternParser()

Method Detail

### parse

    public static Pattern parse(String text)
                         throws JaxenException,
                                SAXPathException

  Throws:
    `JaxenException`
    `SAXPathException`

### convertExpr

    protected static Pattern convertExpr(Expr expr)
                                  throws JaxenException

  Throws:
    `JaxenException`

### convertExpr

    protected static LocationPathPattern convertExpr(LocationPath locationPath)
                                              throws JaxenException

  Throws:
    `JaxenException`

### convertStep

    protected static LocationPathPattern convertStep(LocationPathPattern path,
                                                     Step step)
                                              throws JaxenException

  Throws:
    `JaxenException`

### convertDefaultStep

    protected static LocationPathPattern convertDefaultStep(LocationPathPattern path,
                                                            DefaultStep step)
                                                     throws JaxenException

  Throws:
    `JaxenException`

### navigationStep

    protected static boolean navigationStep(Step step)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.